Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.FocusReason

    java.lang.Object
      java.lang.Enum<Qt.FocusReason>
          com.trolltech.qt.core.Qt.FocusReason

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.FocusReason>

Enclosing interface:
  Qt

    public static enum Qt.FocusReason

extends java.lang.Enum<Qt.FocusReason>
implements QtEnumerator

This enum specifies why the focus changed. It will be passed through QWidget::setFocus and can be retrieved in the `QFocusEvent` sent to the widget upon focus change.

See Also:
  Keyboard Focus

Enum Constant Summary
`ActiveWindowFocusReason` The window system made this window either active or inactive.
`BacktabFocusReason` A Backtab occurred.
`MenuBarFocusReason` The menu bar took focus.
`MouseFocusReason` A mouse action occurred.
`NoFocusReason` Internal.
`OtherFocusReason` Another reason, usually application-specific.
`PopupFocusReason` The application opened/closed a popup that grabbed/released the keyboard focus.
`ShortcutFocusReason` The user typed a label's buddy shortcut
`TabFocusReason` The Tab key was pressed.

Method Summary
`static Qt.FocusReason` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.FocusReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.FocusReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MouseFocusReason

    public static final Qt.FocusReason MouseFocusReason

  A mouse action occurred.

### TabFocusReason

    public static final Qt.FocusReason TabFocusReason

  The Tab key was pressed.

### BacktabFocusReason

    public static final Qt.FocusReason BacktabFocusReason

  A Backtab occurred. The input for this may include the Shift or Control keys; e.g. Shift+Tab.

### ActiveWindowFocusReason

    public static final Qt.FocusReason ActiveWindowFocusReason

  The window system made this window either active or inactive.

### PopupFocusReason

    public static final Qt.FocusReason PopupFocusReason

  The application opened/closed a popup that grabbed/released the keyboard focus.

### ShortcutFocusReason

    public static final Qt.FocusReason ShortcutFocusReason

  The user typed a label's buddy shortcut

### MenuBarFocusReason

    public static final Qt.FocusReason MenuBarFocusReason

  The menu bar took focus.

### OtherFocusReason

    public static final Qt.FocusReason OtherFocusReason

  Another reason, usually application-specific.

### NoFocusReason

    public static final Qt.FocusReason NoFocusReason

  Internal.

Method Detail

### values

    public static final Qt.FocusReason[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.FocusReason c : Qt.FocusReason.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.FocusReason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.FocusReason resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD